Bug 312501 - [QLogic 3.8 bug] qla2xxx - qlogic device driver no longer supports directio
[QLogic 3.8 bug] qla2xxx - qlogic device driver no longer supports directio
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.8
All Linux
low Severity high
: ---
: ---
Assigned To: Marcus Barrow
Martin Jenner
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-29 13:51 EDT by Herbert van den Bergh
Modified: 2007-11-16 20:14 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:35:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to fix qlogic driver makefile (478 bytes, patch)
2007-09-29 13:51 EDT, Herbert van den Bergh
no flags Details | Diff

  None (edit)
Description Herbert van den Bergh 2007-09-29 13:51:40 EDT
Description of problem:
rhel3u8 includes a new qlogic device driver, but the build scripts need
modification to build the device driver with the correct settings.  A number of
-D flags are missing, causing directio to fail.

Version-Release number of selected component (if applicable):
2.4.21-47

How reproducible:
always

Steps to Reproduce:
Try to do directio to a file in an ext3 filesystem on a qlogic device with a
block size or alignment which is not the ext3 block size, and the read or write
call will return EINVAL.
  
Actual results:


Expected results:


Additional info:
The patch was created by building the qlogic driver from qlogic source, and
checking the build flags generated by the build scripts.
Comment 1 Herbert van den Bergh 2007-09-29 13:51:40 EDT
Created attachment 211401 [details]
patch to fix qlogic driver makefile
Comment 2 Prarit Bhargava 2007-10-05 09:36:14 EDT
Marcus, what do you think?

P.
Comment 4 Andrius Benokraitis 2007-10-09 00:53:41 EDT
Supporting the re-building of the QLogic driver would imply that Red Hat would
support a rebuilt out-of-box version, which it won't. Furthermore, Red Hat does
not plan on releasing any more RHEL 3 minor releases. This may be something for
QLogic to document, or for other users to search the Red Hat Bugzilla system on
(this bug) for a heads up. Sorry, but unfortunately we really don't know what
else to do on this (async errata not applicable either).
Comment 5 Herbert van den Bergh 2007-10-09 01:07:01 EDT
Not sure I understand your update.  Are you saying that RedHat is okay with
taking a completely new version of the qlogic driver, build it incorrectly, and
ship it with U8, but RedHat is not willing to correct the build error for this
completely new driver in U8, and therefore drop features that were supported in
older versions of the driver?  Are you suggesting your customers turn to QLogic
for a working driver and support?
Comment 6 Andrius Benokraitis 2007-10-09 01:30:33 EDT
Hi Herbert,

Sorry for being vague in my last comment.

From a Red Hat perspective, fixing a change like this would require extensive
testing, which isn't available being RHEL 3 is now in "maintenance support
phase" for which more details can be found at the following website:

http://www.redhat.com/security/updates/errata/

Had this issue been reported during the RHEL 3 U8 Beta (22-May-2006) through
RHEL 3 U9 Beta (27-Apr-2007) time frame, the criteria for fixing such a bug (as
with many others) would have been easier to be addressed, as it would have been
in the "deployment support phase."

I'll have to yield to Tom on this one for more guidance then...
Comment 7 RHEL Product and Program Management 2007-10-19 14:35:12 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.